package nckd.jxccl.base.common.exception;

import kd.bos.exception.ErrorCode;
import kd.bos.exception.KDBizException;
import kd.bos.exception.KDException;

/**
 * 校验异常类
 * @author W.Y.C
 * @date 2025/7/16 16:24
 * @version 1.0
 */
public class ValidationException extends KDBizException {

    public ValidationException(String message) {
        super(new ErrorCode("", message), new Object[0]);
    }

    public ValidationException(ErrorCode errorCode, Object... args) {
        super(errorCode, args);
    }

    public ValidationException(Throwable cause, ErrorCode errorCode, Object... args) {
        super(cause, errorCode, args);
    }
}
